Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367202 - hammer admin logging --dry-run returns error for every supported component
Summary: hammer admin logging --dry-run returns error for every supported component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 20:42 UTC by jcallaha
Modified: 2019-04-01 20:27 UTC (History)
7 users (show)

Fixed In Version: hammer_cli_foreman_admin-0.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 22451 None None None 2018-01-30 08:01:43 UTC

Description jcallaha 2016-08-15 20:42:03 UTC
Description of problem:
when attempting to pass the --dry-run or -n flag, the command will present the following error. This is true for all accepted components.

[root@rhsm-qe-1 /]# hammer admin logging -a -d -n
Error: Unknown action ensure_line_is_present for component postgresql

Version-Release number of selected component (if applicable):
Satellite 6.2.1 Snap 1.2

How reproducible:
Always

Steps to Reproduce:
1. use the hammer admin logging command and pass the -n or --dry-run flag

Actual results:
[root@rhsm-qe-1 /]# hammer admin logging -c postgresql -d -n
Error: Unknown action ensure_line_is_present for component postgresql

[root@rhsm-qe-1 /]# hammer admin logging -c postgresql -d -n
Error: Unknown action ensure_line_is_present for component postgresql

[root@rhsm-qe-1 /]# hammer admin logging -c proxy -d -n
Error: Unknown action ensure_line_is_present for component proxy

[root@rhsm-qe-1 /]# hammer admin logging -c puppet -d -n
Error: Unknown action ensure_line_is_present for component puppet

[root@rhsm-qe-1 /]# hammer admin logging -c dhcpd -d -n
Error: Unknown action create_file for component dhcpd

[root@rhsm-qe-1 /]# hammer admin logging -c named -d -n
Error: Unknown action run_command for component named

[root@rhsm-qe-1 /]# hammer admin logging -c tftp -d -n
Error: Unknown action ensure_line_is_present for component tftp

[root@rhsm-qe-1 /]# hammer admin logging -c qpidd -d -n
Error: Unknown action ensure_line_is_present for component qpidd

[root@rhsm-qe-1 /]# hammer admin logging -c tomcat -d -n
Error: Unknown action ensure_line_is_present for component tomcat

[root@rhsm-qe-1 /]# hammer admin logging -c pulp -d -n
Error: Unknown action create_file for component pulp

[root@rhsm-qe-1 /]# hammer admin logging -c virt-who -d -n
Error: Unknown action ensure_line_is_present for component virt-who

Expected results:
No error is returned and the command works correctly.

Comment 3 Lukas Zapletal 2016-11-25 14:34:00 UTC
Valid bug, but only 6.3 (no z-stream). Thanks.

Comment 4 Lukas Zapletal 2016-12-02 11:55:31 UTC
Unable to reproduce:

[root@smqa-r210-02 ~]# rpm -q satellite tfm-rubygem-hammer_cli_foreman_admin
satellite-6.2.4-1.0.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_admin-0.0.5-1.el7sat.noarch
[root@smqa-r210-02 ~]# hh admin logging -a -d -n
[root@smqa-r210-02 ~]#

When I attempt to set on individual component, this errors out

[root@smqa-r210-02 ~]# hh admin logging -c postgresql -d -n
Error: Unknown component provided, use --list to find them

We are tracking this in:

https://bugzilla.redhat.com/show_bug.cgi?id=1366171

FYI

Comment 5 Bryan Kearney 2017-05-09 20:39:10 UTC
Per comment 4, I am moving this to ON_QA for testing with at least tfm-rubygem-hammer_cli_foreman_admin-0.0.5-1.el7sat.noarch

Comment 6 jcallaha 2018-01-29 16:20:43 UTC
Failed QA in Satellite 6.3 Snap 33. The errors are still unchanged for all but the virt-who-d component.

-bash-4.2# hammer admin logging -a -d -n
Error: Unknown action ensure_line_is_present for component postgresql
-bash-4.2# 
-bash-4.2# hammer admin logging -c postgresql -d -n
Error: Unknown action ensure_line_is_present for component postgresql
-bash-4.2# hammer admin logging -c proxy -d -n
Error: Unknown action ensure_line_is_present for component proxy
-bash-4.2# hammer admin logging -c puppet -d -n
Error: Unknown action ensure_line_is_present for component puppet
-bash-4.2# hammer admin logging -c dhcpd -d -n
Error: Unknown action create_file for component dhcpd
-bash-4.2# hammer admin logging -c named -d -n
Error: Unknown action run_command for component named
-bash-4.2# hammer admin logging -c tftp -d -n
Error: Unknown action ensure_line_is_present for component tftp
-bash-4.2# hammer admin logging -c qpidd -d -n
Error: Unknown action ensure_line_is_present for component qpidd
-bash-4.2# hammer admin logging -c tomcat -d -n
Error: Unknown action ensure_line_is_present for component tomcat
-bash-4.2# hammer admin logging -c pulp -d -n
Error: Unknown action create_file for component pulp
-bash-4.2# hammer admin logging -c virt-who -d -n

Comment 7 pm-sat@redhat.com 2018-01-30 09:16:36 UTC
Upstream bug assigned to lzap@redhat.com

Comment 9 jcallaha 2018-02-07 18:29:39 UTC
Verified in Satellite 6.3 Snap 35. All dry runs are completing without warning

-bash-4.2# hammer admin logging -a -d -n
-bash-4.2# hammer admin logging -c postgresql -d -n
-bash-4.2# hammer admin logging -c proxy -d -n
-bash-4.2# hammer admin logging -c puppet -d -n
-bash-4.2# hammer admin logging -c dhcpd -d -n
-bash-4.2# hammer admin logging -c named -d -n
-bash-4.2# hammer admin logging -c tftp -d -n
-bash-4.2# hammer admin logging -c qpidd -d -n
-bash-4.2# hammer admin logging -c tomcat -p -n
-bash-4.2# hammer admin logging -c pulp -p -n
-bash-4.2# hammer admin logging -c virt-who -p -n

Comment 10 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.